POST gls/api/reports/balance-sheet-per-auxiliary

Request Information

URI Parameters

None.

Body Parameters

BalanceSheetPerAuxiliaryRequestDto
NameDescriptionTypeAdditional information
ProcessMonth

integer

None.

ProcessYear

integer

None.

IsMonthly

boolean

None.

IsAsOf

boolean

None.

DisplayLegend

boolean

None.

SpreadPerBranch

boolean

None.

OutputToScreen

boolean

None.

OutputToPrinter

boolean

None.

UserId

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "processMonth": 1,
  "processYear": 2,
  "isMonthly": true,
  "isAsOf": true,
  "displayLegend": true,
  "spreadPerBranch": true,
  "outputToScreen": true,
  "outputToPrinter": true,
  "userId": 1
}

application/xml, text/xml

Sample:
<BalanceSheetPerAuxiliaryRequestDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/CPCI.Reports.Services.DTO">
  <DisplayLegend>true</DisplayLegend>
  <IsAsOf>true</IsAsOf>
  <IsMonthly>true</IsMonthly>
  <OutputToPrinter>true</OutputToPrinter>
  <OutputToScreen>true</OutputToScreen>
  <ProcessMonth>1</ProcessMonth>
  <ProcessYear>2</ProcessYear>
  <SpreadPerBranch>true</SpreadPerBranch>
  <UserId>1</UserId>
</BalanceSheetPerAuxiliaryRequestDto>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, application/xml, text/xml

Sample:

Sample not available.